Module | Sequel::Plugins::Sharding::InstanceMethods
In: | lib/sequel/plugins/sharding.rb

### Methods

set_server set_server? this

### Public Instance methods

set_server(s)

Set the shard that this object is tied to. Returns self.

[Source]

        # File lib/sequel/plugins/sharding.rb, line 47
    47:         def set_server(s)
    48:           @server = s
    49:           self
    50:         end

set_server?(s)

Set the server that this object is tied to, unless it has already been set. Returns self.

[Source]

        # File lib/sequel/plugins/sharding.rb, line 54
    54:         def set_server?(s)
    55:           @server ||= s
    56:           self
    57:         end

this()

Ensure that the instance dataset is tied to the correct shard.

[Source]

        # File lib/sequel/plugins/sharding.rb, line 60
    60:         def this
    61:           use_server(super)
    62:         end

[Validate]